from django.urls import path,include
from . import views
urlpatterns = [
    path('',views.ProjectInfo.as_view(),name='Project'),

    path('scale/',views.Scale.as_view(),name='ProjectScale'),
    path('fundSources/',views.ProjectFundSources.as_view(),name='ProjectScale'),
    path('style/',views.ProjectStyle.as_view(),name='ProjectScale'),
    path('purpose/',views.Purpose.as_view(),name='ProjectScale'),
    path('property/',views.Property.as_view(),name='ProjectScale'),
    path('companyType/',views.CompanyTypeAPI.as_view(),name='companyType'),

    path('addressList/',views.AddressListAPIView.as_view(),name='addressList'),

    path('checkID/',views.CheckIDAPIView.as_view(),name='CheckID'),

    path('addressList/<str:id>/',views.AddressListDetailAPIView.as_view(),name='AddressListDetail'),
    path('<str:id>/',views.DetailedProjectInfo.as_view(),name='DetailedProject'),
]