import xadmin
from xadmin import views


class BaseSetting(object):
    enable_themes = True
    use_bootswatch = True


xadmin.site.register(views.BaseAdminView, BaseSetting)

from xadmin import views


class GlobalSetting(object):
    site_title = "建设咨询系统后台管理系统"
    site_footer = "http://www."
    menu_style = "accordion"



xadmin.site.register(views.CommAdminView, GlobalSetting)

from .models import User,Permission,Role,Actions

class UserAdmin(object):
    list_display = ['id','username', 'email', 'role']
    search_fields = ['id','username']
    list_filter = ['id','username']
    model_icon = 'fa fa-address-book-o'

class RoleAdmin(object):
    list_display = ['name', 'description', 'permissions']
    search_fields = ['name', 'description']
    list_filter = ['name', 'description']
    model_icon = 'fa fa-address-book-o'

class PermissionAdmin(object):
    list_display = ['name', 'description', 'actions']
    search_fields = ['name', 'description']
    list_filter = ['name', 'description']
    model_icon = 'fa fa-address-book-o'

class ActionsAdmin(object):
    list_display = ['name', 'description']
    search_fields = ['name', 'description']
    list_filter = ['name', 'description']
    model_icon = 'fa fa-address-book-o'


# xadmin.site.register(User, UserAdmin)

xadmin.site.register(Role, RoleAdmin)

xadmin.site.register(Permission, PermissionAdmin)

xadmin.site.register(Actions, ActionsAdmin)
