from . import models
from rest_framework import serializers


class DecisionSerializer(serializers.ModelSerializer):
    class Meta:
        model = models.Decision
        exclude = ['project']
        read_only_fields = ['decision_id','title','estimate',]

class DecisionMatterSerializer(serializers.ModelSerializer):
    class Meta:
        model = models.DecisionMatter
        fields = '__all__'
        read_only_fields = ['matter_id']


