from rest_framework import serializers
from drf_writable_nested import WritableNestedModelSerializer
from User.serializers import UserSerializer
from . import models


class FileSerializers(WritableNestedModelSerializer):
    user = UserSerializer(required=False)

    class Meta:
        model = models.File
        exclude = ['file']
