import fetchAPI from '../utils/fetch'

export default {
  getAddressList (params) {
    return fetchAPI(`project/addressList/`, 'get', null, params)
  },
  createAddressList (data, params) {
    return fetchAPI('project/addressList/', 'post', data, params)
  },
  updateAddressList (data) {
    return fetchAPI(`project/addressList/${data.id}/`, 'put', data)
  },
  deleteAddressListDetail (id) {
    return fetchAPI(`project/addressList/${id}`, 'delete')
  },
  getTypeList () {
    return fetchAPI('project/companyType/', 'get')
  }
}
