import xadmin
from . import models

class ApplicationAdmin(object):
    list_display = ['title', 'status', 'application_id']
    search_fields = ['title', 'status', 'application_id']
    list_filter = ['title', 'status', 'application_id']

class ApplicationMatterAdmin(object):
    list_display = ['matter_id','matter']
    search_fields  = ['matter_id','matter']
    list_filter = ['matter_id','matter']

class BidItemAdmin(object):
    list_display = ['bid_id','name','status']
    search_fields = ['bid_id','name']
    list_filter = ['status']

class DesignItemAdmin(object):
    list_display = ['design_item_id', 'name']
    list_filter = ['design_item_id', 'name']

class DesignItemDoingAdmin(object):
    list_display = ['id']

xadmin.site.register(models.Application,ApplicationAdmin)
xadmin.site.register(models.ApplicationMatter,ApplicationMatterAdmin)
xadmin.site.register(models.BidItem,BidItemAdmin)
xadmin.site.register(models.DesignItem,DesignItemAdmin)
xadmin.site.register(models.DesignItemDoing,DesignItemDoingAdmin)