import xadmin
from xadmin import views
from xadmin import views


from .models import Project,Style,ProjectScale,\
    FundSources,ProjectPurpose,ProjectProperty,CompanyType,AddressList

class ProjectAdmin(object):
    list_display = ['id', 'name', 'place','starting_date']
    search_fields = ['id', 'starting_date', 'investment']
    list_filter = ['id', 'starting_date', 'investment']


class StyleAdmin(object):
    list_display = ['value', 'label']
    search_fields = ['value', 'label']
    list_filter = ['value', 'label']


class ProjectScaleAdmin(object):
    list_display = ['value', 'label']
    search_fields = ['value', 'label']
    list_filter = ['value', 'label']


class FundSourcesAdmin(object):
    list_display = ['value', 'label']
    search_fields = ['value', 'label']
    list_filter = ['value', 'label']


class ProjectPurposeAdmin(object):
    list_display = ['value', 'label']
    search_fields = ['value', 'label']
    list_filter = ['value', 'label']

class ProjectPropertyAdmin(object):
    list_display = ['value', 'label']
    search_fields = ['value', 'label']
    list_filter = ['value', 'label']

class CompanyTypeAdmin(object):
    list_display = ['value', 'label']
    search_fields = ['value', 'label']
    list_filter = ['value', 'label']

class AddressListAdmin(object):
    list_display = ['id', 'company','name']
    search_fields = ['id', 'company','name']
    list_filter = ['company','name']


xadmin.site.register(Project,ProjectAdmin)
xadmin.site.register(Style,StyleAdmin)
xadmin.site.register(ProjectScale,ProjectScaleAdmin)
xadmin.site.register(FundSources,FundSourcesAdmin)
xadmin.site.register(ProjectPurpose,ProjectPurposeAdmin)
xadmin.site.register(ProjectProperty,ProjectPropertyAdmin)
xadmin.site.register(CompanyType,CompanyTypeAdmin)
xadmin.site.register(AddressList,AddressListAdmin)