from rest_framework.views import APIView
from rest_framework.response import Response
class UserAPIView(APIView):

    def response(self,result,error):
        return Response(
            result
        )



class MyAPIView(APIView):
    def response(self,data_error):
        return Response(data_error)

    def success(self,data):
        return self.response(
            data
        )

    def error(self,error):
        return self.response({
            'error':error
        })